package com.brilliance.isc.common.glemod.service;

import com.brilliance.isc.common.glemod.vo.GlemodVo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

public interface GlemodService {

    String getAvailAcc(String trnTyp, String cur, String ptyInr, BigDecimal amt);

    String actGetTRMCOD(String act);

    void saveGle(GlemodVo glemodVo);

    GlemodVo ruleGlepanN1000(GlemodVo glemod);

    GlemodVo liaglesavCeb(GlemodVo glemod, String cur, BigDecimal amt, String engact, String engcat, String ref, String typ, Date value, String cbt, String txt2, String trmTyp1, String trmTyp2);

    void fillGLEStream(GlemodVo glemod);

    List<String> filterAct(List<String> actList);

    // 根据账号返回branchinr和bchkeyinr
    HashMap<String,String> getBranchinrAndBchkeyinr(String act);

}
